curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/notifications/uncategorized-monthly \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/notifications/uncategorized-monthly"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/notifications/uncategorized-monthly', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"months": [
{
"month": "12",
"year": 2024,
"uncategorized": 7,
"categorized": 98
}
],
"type": "Monthly_Categorization_Counts"
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Fetch uncategorized transaction counts
Retrieve the count of categorized and uncategorized transactions for a range of months.
start_year, start_month, end_year, and end_month determine the range of months to fetch.
If not specified, range will start at January of the current year and end at the current month.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to fetch the uncategorized monthly notifications for.
Query Parameters
The start month (1-12) of the range to fetch uncategorized counts for. If specified, start_year must also be specified.
The start year of the range to fetch uncategorized counts for. If specified, start_month must also be specified.
The end month (1-12) of the range to fetch uncategorized counts for. If specified, end_year must also be specified.
The end year of the range to fetch uncategorized counts for. If specified, end_month must also be specified.
Response
Transaction categorization counts for a list of months.
Show child attributes
Show child attributes